On June 3, 2018 our secure email portal, Zix, will be implementing security upgrades.

The security upgrades will result in the secure email portal/ZixPort only allowing a message recipient to access their messages using browsers as listed below.

BrowserMinimum supported version
Google ChromeVersion 38 or higher
Internet ExplorerVersion 11 or higher
Microsoft EdgeAny version
FirefoxVersion 27 or higher
Safari (desktop)Version 7 or higher
Safari (mobile)Version 5 or higher
OperaVersion 50 or higher

This change is necessary to improve security and is also a requirement for those customers that need PCI compliance. After JuneĀ 3, 2018, users that attempt to access the secure email portal/ZixPort with a browser not listed above will get a “connection refused” message. For more information visit: https://www.ssllabs.com/ssltest/clients.html

If you have any questions, please contact webadmin@thewrcgroup.com.